It seems that you're using an outdated browser. Some things may not work as they should (or don't work at all).
We suggest you upgrade newer and better browser like:Chrome,Firefox,Internet Explorer orOpera

×
arrow-down2arrowcart2close4fat-arrow-leftfat-arrow-rightfeedbackfriends2happy-facelogo-gognotificationnotifications-emptyownedremove-menusad-facesearch2wishlist-menuwishlisted2own_thingsheartstartick
Hello fellow Linux gamers!

Here you’ll find scripts allowing you to build packages for Debian, Arch Linux and any derivative (Ubuntu, Manjaro, Linux Mint, etc.) from your GOG installers for Shadowrun games.
You will then be able to easily install these packages with you favourite packages manager.

Download links and usage instructions can be found on the following pages:
Shadowrun Returns
Shadowrun: Dragonfall
Shadowrun: Hong Kong

I hope you’ll enjoy the ease-of-use provided by these scripts as much as I enjoy writing and tweaking them ;)

Here you go for more supported games!

-----

Salut camarades Linuxiens !

Vous trouverez ici des scripts vous permettant de construire des paquets pour Debian, Arch Linux ou n’importe quelle distribution dérivée de celles-ci (Ubuntu, Manjaro, Linux Mint, etc.) à partir de vos installeurs GOG pour la série Shadowrun.
Ces paquets pourront ensuite être installés facilement via votre gestionnaire de paquets habituel.

Les liens de télechargement et les instructions d’utilisation se trouvent sur les pages suivantes :
Shadowrun Returns
Shadowrun: Dragonfall
Shadowrun: Hong Kong

J’espère que vous apprécierez le confort apporté par ces scripts autant que j’apprécie les écrire et les améliorer ;)

Pour plus de jeux, rendez-vous par ici !
Post edited December 08, 2017 by vv221
Sweet, thanks for your work!
avatar
4-vektor: (…)
You’re welcome ;)
Update

Arch Linux support added for Shadowrun: Hong Kong
hello
I would like to ask for advice please.
Is there a way to use your utility with latest version ? 2.0.0.7
Thank you
Post edited December 08, 2017 by DirkLarien
avatar
DirkLarien: (…)
These scripts should always support the latest version of the GOG and Humble installers for each game.
If your installer is not supported, please report it here and I’ll try to fix this.
It expects 2.0.0.5
But here on GOG we have only version 2.0.0.7

I tried the cheap trick of renaming the installer from gog_shadowrun_returns_2.0.0.7
to : gog_shadowrun_returns_2.0.0.5.sh
:-D
But there is a check that prevents it from continuing.
avatar
DirkLarien: It expects 2.0.0.5
But here on GOG we have only version 2.0.0.7
My bad, I missed this update, thanks for telling me about it ;)

Here you go to run the script on your version, while I work on the update:
./play-shadowrun-returns_gog-2.0.0.5.sh --checksum=none /some/path/to/gog_shadowrun_returns_2.0.0.7.sh
Hello
And thank you for helping me

*EDIT solved*
.deb file was created but when i tried to install from it via the provided command :

dpkg -i /home/user/mydirforhadowrun/shadowrun-returns_1.2.7-gog2.0.0.5_i386.deb
apt-get install -f

It works for a while then returns error:

(Reading database ... 546530 files and directories currently installed.)
Preparing to unpack .../shadowrun-returns_1.2.7-gog2.0.0.5_i386.deb ...
Unpacking shadowrun-returns:i386 (1.2.7-gog2.0.0.5) over (1.2.7-gog2.0.0.5) ...
dpkg: dependency problems prevent configuration of shadowrun-returns:i386:
shadowrun-returns:i386 depends on libglu1-mesa | libglu1.
shadowrun-returns:i386 depends on libqtgui4.
shadowrun-returns:i386 depends on libqt4-network.
shadowrun-returns:i386 depends on libxcursor1.
shadowrun-returns:i386 depends on libxrandr2.

dpkg: error processing package shadowrun-returns:i386 (--install):
dependency problems - leaving unconfigured
Errors were encountered while processing:
shadowrun-returns:i386

I run it with sudo command, then i tried running terminal itself as superuser and running it then, with same result.
-----------------------------------------------------------------------------
EDIT:
Never mind, it needed the update. Silly me :-)

Thank you !!!

...now i just have to find how to make audio work. :-D
Post edited 3 days ago by DirkLarien
avatar
DirkLarien: ...now i just have to find how to make audio work. :-D
Please share the solution here afterwards, I’ve never experienced any sound issue with this game myself, but it might help other people ;)
I will if i figure it out ....hopefully :-)